Subject: bug#77985: 31.0.50; infinite loop in `make-frame-names-alist`

From: Al Haji-Ali <[email-masked]>
Date: Tue, 29 Apr 2025 22:03:12 +0100

On 29/04/2025, martin rudalics wrote:
> I added the "(&optional frame)" because with a few exceptions most
> frame-related functions have it so coders don't have to think twice when
> calling any of these functions.

Thanks for the changes! I am incorporating them in my emacs config since I keep running into the infinite loop :)

Am I right in saying that `frame-list-1` is only currently being used in `make-frame-names-alist`, or did you mean to use it in other places as well?
If that's the only place, I think this function is only being used by `select-frame-by-name`. Both of these functions do not stipulate an order in there docs, so I am not sure a particular ordering is required?

Also a suggestion: if the ordering is indeed required, is there a reason for defining a new function instead of changing `frame-list` to take an argument (where the list starts), e.g., when passing nil the order is not modified.